{{- if eq .Values.COLLABORA_ENABLED "yes" }}
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.version: 1.35.0 (9532ceef3)
  labels:
    io.kompose.service: nextcloud-aio-collabora
  name: nextcloud-aio-collabora
  namespace: "{{ .Values.NAMESPACE }}"
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: nextcloud-aio-collabora
  template:
    metadata:
      annotations:
        kompose.version: 1.35.0 (9532ceef3)
      labels:
        io.kompose.service: nextcloud-aio-collabora
    spec:
      containers:
        - args: {{ .Values.ADDITIONAL_COLLABORA_OPTIONS | default list | toJson }}
          env:
            - name: DONT_GEN_SSL_CERT
              value: "1"
            - name: TZ
              value: "{{ .Values.TIMEZONE }}"
            - name: aliasgroup1
              value: https://{{ .Values.NC_DOMAIN }}:443
            - name: dictionaries
              value: "{{ .Values.COLLABORA_DICTIONARIES }}"
            - name: extra_params
              value: --o:ssl.enable=false --o:ssl.termination=true --o:mount_jail_tree=false --o:logging.level=warning --o:home_mode.enable=true --o:remote_font_config.url=https://{{ .Values.NC_DOMAIN }}/apps/richdocuments/settings/fonts.json --o:net.post_allow.host[0]=.+
            - name: server_name
              value: "{{ .Values.NC_DOMAIN }}"
          image: ghcr.io/nextcloud-releases/aio-collabora:20250408_081359
          readinessProbe:
            exec:
              command:
                - /healthcheck.sh
            failureThreshold: 9
            initialDelaySeconds: 60
            periodSeconds: 30
            timeoutSeconds: 30
          livenessProbe:
            exec:
              command:
                - /healthcheck.sh
            failureThreshold: 9
            initialDelaySeconds: 60
            periodSeconds: 30
            timeoutSeconds: 30
          name: nextcloud-aio-collabora
          ports:
            - containerPort: 9980
              protocol: TCP
          securityContext:
            capabilities:
              add:
                - MKNOD
                - CAP_SYS_ADMIN
{{- end }}
